gnu.io

## Class SerialPortEvent

- java.lang.Object
- - java.util.EventObject
  - - gnu.io.SerialPortEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SerialPortEvent
      extends java.util.EventObject

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BI`
    `static int` | `CD`
    `static int` | `CTS`
    `static int` | `DATA_AVAILABLE`
    `static int` | `DSR`
    `static int` | `FE`
    `static int` | `OE`
    `static int` | `OUTPUT_BUFFER_EMPTY`
    `static int` | `PE`
    `static int` | `RI`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortEvent(SerialPort srcport, int eventtype, boolean oldvalue, boolean newvalue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEventType()`
    `boolean` | `getNewValue()`
    `boolean` | `getOldValue()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DATA_AVAILABLE

          public static final int DATA_AVAILABLE

      See Also:
        Constant Field Values

    - #### OUTPUT_BUFFER_EMPTY

          public static final int OUTPUT_BUFFER_EMPTY

      See Also:
        Constant Field Values

    - #### CTS

          public static final int CTS

      See Also:
        Constant Field Values

    - #### DSR

          public static final int DSR

      See Also:
        Constant Field Values

    - #### RI

          public static final int RI

      See Also:
        Constant Field Values

    - #### CD

          public static final int CD

      See Also:
        Constant Field Values

    - #### OE

          public static final int OE

      See Also:
        Constant Field Values

    - #### PE

          public static final int PE

      See Also:
        Constant Field Values

    - #### FE

          public static final int FE

      See Also:
        Constant Field Values

    - #### BI

          public static final int BI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerialPortEvent

          public SerialPortEvent(SerialPort srcport,
                                 int eventtype,
                                 boolean oldvalue,
                                 boolean newvalue)

  - ### Method Detail

    - #### getEventType

          public int getEventType()

    - #### getNewValue

          public boolean getNewValue()

    - #### getOldValue

          public boolean getOldValue()